package com.ycgis.macall.personalcenter.m.adapterbean;

import android.graphics.drawable.Drawable;
import android.view.View;

/**
 * created by:   Macall
 * create time:  2023/11/2 17:38
 * copyright:    @ruansee.com
 * Describe:
 */
public class WorkAppBean extends BaseBean{

    private String appName;
    private String iconUrl;
    private int icon;
    private String packageName;
    private Drawable applicationIcon;

    private boolean isAdd = false;

    public int isAddStatus(){
        if (!isAdd){
            return View.VISIBLE;
        }else {
            return View.GONE;
        }
    }

    public int isDeleteStatus(){
        if (isAdd){
            return View.VISIBLE;
        }else {
            return View.GONE;
        }
    }

    public Drawable getApplicationIcon() {
        return applicationIcon;
    }

    public void setApplicationIcon(Drawable applicationIcon) {
        this.applicationIcon = applicationIcon;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    public int getIcon() {
        return icon;
    }

    public void setIcon(int icon) {
        this.icon = icon;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public boolean isAdd() {
        return isAdd;
    }

    public void setAdd(boolean add) {
        isAdd = add;
    }
}
